# Starting and Quitting GrADS

GrADS is started by entering the command: `grads`

Before initialising the graphics output environment, GrADS will prompt for landscape or portrait mode. Landscape is 11 x 8.5 inches (usually what you want). Portrait is 8.5 x 11 inches, primarily used for producing vertically oriented hardcopy output. The actual size of the window will not, of course, be 11 x 8.5 inches (or 8.5 x 11 inches), but instead will be whatever size you chose by using your workstation's window manager. But GrADS will treat the window as if it were one of the above sizes, so it is best to size the window with approximately the proper aspect ratio. This can be done using the window manager or from GrADS using the command:

  `set xsize x y`

  which resizes the window to `x,y` pixels.

  After answering this prompt, a separate graphics output window will be opened (but not on PCs). You may move or resize this window at any time.

  You will enter GrADS commands in the text window from where you started GrADS. Graphics output will appear in the graphics window in response to the commands you enter. You will thus need to make the text window the "active" window; the window that receives keyboard input.

  ## Help

  Typing `help` at the GrADS command prompt gives a summary list of operations essential to do anything in GrADS. This is intended to jog memory rather than provide an exhaustive help facility. If the GrADS manual is not available, you can obtain info on most command parameters by typing the command on its own. Alternatively, we are setting up comprehensive documentation intended to be used as a local Web facility.

  ## Diagnostics at startup

  When you start GrADS you get platform specific diagnostics, for example:

  `GX Package Initialization: Size = 11 8.5
  !!!! 32-bit BIG ENDIAN machine version
  ga>`

  The `!!!!` line tells you that this version is `32-bit` (i.e., data are 32-bit) and it was compiled for a `big endian` machine (the Sun in this case). On the Cray you get...

  `!!!! 64-BIT MACHINE VERSION (CRAYS)`

  ## Startup options

  You may specify the following options as arguments to the `grads` command when GrADS is started:

  `-b` Run grads in batch mode. No graphics output window is opened.
  `-l` Run grads in landscape mode. The Portrait vs. Landscape question is not asked.
  `-p` Run grads in portrait mode.
  `-c` Execute the supplied command as the 1 st GrADS command after GrADS is started.

  An example:

  `grads -c "run profile.gs"`

  These options may be used in combinations. For example:

  `grads -blc "run batch.gs"`

  Would run grads in batch mode, using landscape orientation (thus no questions are asked at startup); and execute the command:

  `batch.gs` upon startup.

  ## Leaving GrADS

  To leave GrADS, enter the command:

  `quit`